gr::gsm::extract_cmc Class Referenceabstract

<+description of block+> More...

`#include <extract_cmc.h>`

Inheritance diagram for gr::gsm::extract_cmc:

## Public Types

typedef std::shared_ptr< extract_cmc > | sptr

## Public Member Functions

virtual std::vector< int > | get_framenumbers ()=0
virtual std::vector< int > | get_a5_versions ()=0
virtual std::vector< int > | get_start_ciphering ()=0

## Static Public Member Functions

static sptr | make ()
| Return a shared_ptr to a new instance of gsm::extract_cmc.

## Detailed Description

<+description of block+>

## Member Typedef Documentation

## sptr

typedef std::shared_ptr<extract_cmc> gr::gsm::extract_cmc::sptr

## Member Function Documentation

## get_a5_versions()

virtual std::vector< int > gr::gsm::extract_cmc::get_a5_versions | ( |  | ) |

pure virtual

Implemented in gr::gsm::extract_cmc_impl.

## get_framenumbers()

virtual std::vector< int > gr::gsm::extract_cmc::get_framenumbers | ( |  | ) |

pure virtual

Implemented in gr::gsm::extract_cmc_impl.

## get_start_ciphering()

virtual std::vector< int > gr::gsm::extract_cmc::get_start_ciphering | ( |  | ) |

pure virtual

Implemented in gr::gsm::extract_cmc_impl.

## make()

sptr gr::gsm::extract_cmc::make | ( |  | ) |

static

Return a shared_ptr to a new instance of gsm::extract_cmc.

To avoid accidental use of raw pointers, gsm::extract_cmc's constructor is in a private implementation class. gsm::extract_cmc::make is the public interface for creating new instances.

The documentation for this class was generated from the following file:

- extract_cmc.h